//================================
//方法区
//================================
//================================
//设置必填标记的方法
//================================
//@param: leiming： 需要必填图标提示的imput的类名
function ng_titian(leiming) {
	var BiTianParent = $('.' + leiming).parents('.am-form-group');
	var BiTianNext = $('.' + leiming).next('i');
	$(BiTianParent).addClass('am-form-error');
	$('.' + leiming).addClass('am-back-input');
	$('.' + leiming).blur(function() {
		if ($.trim($(this).val()) == '') {
			$(BiTianParent).removeClass('am-form-success');
			$(BiTianParent).addClass('am-form-error')
			$(BiTianNext).removeClass('am-icon-check');
			$(BiTianNext).addClass('am-icon-times');
			$('.' + leiming).removeClass('am-back-input');
		} else {
			$(BiTianParent).removeClass('am-form-error');
			$(BiTianParent).addClass('am-form-success')
			$(BiTianNext).removeClass('am-icon-times');
			$(BiTianNext).addClass('am-icon-check');
			$('.' + leiming).removeClass('am-back-input');
		}
	})
}
//=================================
//检测邮箱是否合法的方法 非必选  
//=================================
// @param: leiming： 需要检测的imput的类名
function ng_email(leiming) {
	var emailParent = $('.' + leiming).parent().addClass('am-form-group');
	var emailNext = $('.' + leiming).next('i');
	$('.' + leiming).blur(function() {
		if ($('.' + leiming).val() != '') {
			if (!kg.isEmail($('.' + leiming).val())) {
				$(emailParent).removeClass('am-form-success');
				$(emailParent).addClass('am-form-error');
				$(emailNext).removeClass('am-icon-check');
				$(emailNext).addClass('am-icon-times');
			} else {
				$(emailParent).removeClass('am-form-error');
				$(emailParent).addClass('am-form-success');
				$(emailNext).removeClass('am-icon-times');
				$(emailNext).addClass('am-icon-check');
			}
		}
		if ($('.' + leiming).val() == '') {
			$(emailParent).removeClass('am-form-success am-form-error');
			$(emailNext).removeClass('am-icon-check am-icon-times');
		}
	})
}
//=======================================================================================================
//手机号码 输入是否合法检测， 合法：图标提示为勾 ，不合法：图标提示为叉。 
//具有<必填>和<非必填>的两种功能， 必填时，务必第二个参数为am-back-input, 或自定义图标样式所受被控制的类名
//=======================================================================================================
// @param : leiming : 所需要检测手机号的input的类名，
// @param : xinghao : 需要必填图标提示时，（默认图标动作受此类控制：am-back-input）所添加的参数，选填，
function ng_Ojsbi_phone(leiming, xinghao) {
	var phoneParent = $('.' + leiming).parents('.am-form-group');
	var phoneNext = $('.' + leiming).next('i');
	if (xinghao != undefined) {
		$('.' + leiming).addClass(xinghao);
	}
	$('.' + leiming).blur(function() {
		if ($('.' + leiming).val() != '') {
			if (!kg.isTelCode($('.' + leiming).val())) {
				$(phoneParent).removeClass('am-form-success');
				$(phoneParent).addClass('am-form-error');
				$(phoneNext).removeClass('am-icon-check');
				$(phoneNext).addClass('am-icon-times');
				if (xinghao != undefined) {
					$('.' + leiming).removeClass(xinghao);
				}
			} else {
				$(phoneParent).removeClass('am-form-error');
				$(phoneParent).addClass('am-form-success');
				$(phoneNext).removeClass('am-icon-times');
				$(phoneNext).addClass('am-icon-check');
				if (xinghao != undefined) {
					$('.' + leiming).removeClass(xinghao);
				}
			}
		}
		if ($('.' + leiming).val() == '') {
			$(phoneParent).removeClass('am-form-success');
			$(phoneParent).addClass('am-form-error');
			$(phoneNext).removeClass('am-icon-check');
			$(phoneNext).addClass('am-icon-times');
			if (xinghao != undefined) {
				$('.' + leiming).removeClass(xinghao);
			}
		}
	})
}
//================================
//方法区结束
//================================
$(function() {
	//检测表单
	var reg = /^\d+(\.\d+)?$/;
	//电话号码的正则
	function isTelCode(str) {
		var reg = /^((0\d{2,3}-\d{7,8})|(1[3584]\d{9}))$/;
		return reg.test(str);
	}
	$('.ngsh-LJS-tijiao').on('click', function() {
		if ($.trim($('#name').val()) == '') {
			confirm('请输入订单号');
			return false;
		}
		if ($.trim($('#waybill').val()) == '') {
			confirm('请输入运单号');
			return false;
		}
		if ($('#freight').val() != '') {
			if (!reg.test($.trim($('#freight').val()))) {
				confirm('你输入的手续费不合法，必须是一个数字');
				return false;
			}
		}
		if ($.trim($('.posi_box2 .am-dropdown-toggle .am-fl').text()) == '请选择订单状态') {
			confirm('请选择订单状态');
			return false;
		}
		if ($.trim($('#consignee').val()) == '') {
			confirm('请输入收货人');
			return false;
		}
		if (!isTelCode($('#mobile').val())) {
			confirm('请输入收货人手机号码');
			return false;
		}
		if ($('#email').val() != '') {
			if (!kg.isEmail($('#email').val())) {
				confirm('您输入的收货人邮箱不合法');
				return false;
			}
		}
		// 提交订单状态
		$(".am-form").click(function() {
			//备注：$("#testselect option:selected").text()是为了获取下拉框的值
			$("#status").val($("#status_select_id option:selected").val());
		})
		// 提交配送方式
		$(".am-form").click(function() {
			//备注：$("#testselect option:selected").text()是为了获取下拉框的值
			$("#dispatching").val($("#dispatching_select_id option:selected").val());
		})
		// 提交按钮
		$('.am-form').submit(); //还没指定提交地址
		return true;
	})
	//必填提示 类名当作实参传进方法中
	//当输入框输入为空,失去焦点时,提示图标为交叉,
	//当输入框输入不为空,失去焦点时,提示图标为勾
	//订单号 必填标记
	ng_titian('ngco_Ojs_bitian');
	//运单号 必填标记
	ng_titian('ngco_Ojs_bitian2');
	//收货人 必填标记
	ng_titian('ngco_Ojs_bitian3');
	// 邮箱不合法图标提示  类名当作实参传进方法中
	//当输入框输入为空,失去焦点时,提示图标为交叉,
	//当输入框输入不为空,失去焦点时,提示图标为勾
	//邮箱 输入是否合法判断
	ng_email('ngco_Ojs_email');
	// 手机号码不合法图标提示  类名当作实参传进方法中
	//当输入框输入为空,失去焦点时,提示图标为交叉,
	//当输入框输入不为空,失去焦点时,提示图标为勾
	//手机号码必选，获取其两级父类的情况
	ng_Ojsbi_phone('ngco_Ojsbi_phone', "am-back-input"); //必选时，输入不合法时,添加图标提示
	//页面中的input按钮事件
	$('.tpl-switch').find('.tpl-switch-btn-view').on('click', function() {
		$(this).prev('.tpl-switch-btn').prop("checked", function() {
			if ($(this).is(':checked')) {
				return false;
			} else {
				return true;
			}
		})
	})
});